
#include <WFX/input/JoystickEvent.h>

using namespace WFX;
using namespace WFX::input;


JoystickButtonEvent::JoystickButtonEvent(UChar id, UChar btn, BtnState s) : JoystickEvent(id) {
    Button = btn;
    State = s;
}

JoystickAxisEvent::JoystickAxisEvent(UChar id, UChar a, Int val) : JoystickEvent(id) {
    Axis = a;
    Value = val/32767;
}

